Click or drag to resize

MeshCreateRefinedLoopMesh Method

Instantiates a new mesh that represents a Loop subdivision of the mesh.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
public static Mesh CreateRefinedLoopMesh(
	Mesh mesh,
	LoopFormula formula = LoopFormula.WarrenWeimer,
	RefinementSettings settings = null


Type: Rhino.GeometryMesh
The mesh to subdivide.
formula (Optional)
Type: Rhino.Geometry.MeshRefinementsLoopFormula
The Loop subdivision formula.
settings (Optional)
Type: Rhino.Geometry.MeshRefinementsRefinementSettings
An instance of the settings class, or null for defaults.

Return Value

Type: Mesh
A new mesh. null is never returned.
Version Information

Rhino for Windows

Supported in: 6.2
See Also